"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const finder_1 = require("@jscpd/finder");
const fs_extra_1 = require("fs-extra");
const safe_1 = require("colors/safe");
class HtmlReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones, statistic) {
        const jsonReporter = new finder_1.JsonReporter(this.options);
        const json = jsonReporter.generateJson(clones, statistic);
        if (this.options.output) {
            const src = path_1.join(__dirname, '../html/');
            const destination = path_1.join(this.options.output, 'html/');
            try {
                fs_extra_1.copySync(src, destination, { overwrite: true });
                const index = path_1.join(destination, 'index.html');
                const html = fs_extra_1.readFileSync(index).toString();
                fs_extra_1.writeFileSync(index, html.replace('<body>', `<body><script>
                       // <!--
                       window.initialData = ${JSON.stringify(json, null, '  ')};
                       // -->
                       </script>`));
                fs_extra_1.writeFileSync(path_1.join(destination, 'jscpd-report.json'), JSON.stringify(json, null, '  '));
                console.log(safe_1.green(`HTML report saved to ${path_1.join(this.options.output, 'html/')}`));
            }
            catch (e) {
                console.log(safe_1.red(e));
            }
        }
    }
}
exports.default = HtmlReporter;
//# sourceMappingURL=index.js.map